2015-07-09  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.4.2 release.

	* CHANGES: Updated.

2015-06-04  Michael Wiegand <michael.wiegand@greenbone.net>

	* omp/omp.c: Bump copyright years.

2015-06-03  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c: Bump copyright years.

2015-06-03  Benoît Allard  <benoit.allard@greenbone.net>

	* nagios/check_omp.c (cmd_status_impl): Reduce the scope of the `trend`
	  variable.

2015-06-03  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c: Improve documentation of exit codes, explain why
	check_omp uses exit codes differently than a Nagios plugin directly
	monitoring a service.
	(manager_open, filter_report, cmd_status_impl, main): Use
	NAGIOS_UNKNOWN instead of NAGIOS_CRITICAL if the result could not be
	retrieved to better differentiate between critical results and no
	results.
	(cmd_status_impl, main): Simplify usage of respond () to remove
	duplicate usage of exit code defines.

2015-06-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Add support for handling timeouts while authenticating.

	* nagios/check_omp.c (manager_open): Honor timeout option, handle
	possible timeout return value. Add missing parameter to function
	description.

2015-06-01  Michael Wiegand <michael.wiegand@greenbone.net>

	Add support for handling timeouts while getting the list of tasks or
	individual reports.

	* nagios/check_omp.c (cmd_status_opts_t): Add timeout option.
	(cmd_status_impl): Honor timeout option, handle possible timeout
	return value.
	(main): Merge ping timeout setting into new general timeout setting.
	Keep "ping-timeout" as synonym for backward compatibility. Honor
	timeout value for getting tasks and report, handle possible timeout
	return values.

	* CMakeLists.txt: Increase libopenvas_omp dependency to 8.0.4 for
	timeout handling.

	* INSTALL: Make consistent with CMakeLists.txt.

2015-05-26  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version to 1.4.2.

2015-05-26  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.4.1 release.

	* CHANGES: Updated.

2015-05-18  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c (cmd_status_impl): Exit with NAGIOS_UNKNOWN
	instead of NAGIOS_CRITICAL when a task could not be found.

2015-04-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* omp/omp.c (main): Add command line option "--details" which sets the
	"details" element of "opts". Patch by Eero Volotinen.

2015-04-10  Matthew Mundell <matthew.mundell@greenbone.net>

	* ChangeLog: Correct surname in last entry.

2015-04-10  Matthew Mundell <matthew.mundell@greenbone.net>

	Add option --filter for option --get-reports.  Based on patch by Eero
	Volotinen.

	* omp/omp.c (manage_get_reports): Add arg filter.  Pass in OMP if given.
	(main): Add option --filter.

2015-03-16  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version to 1.4.1.

2015-03-16  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.4.0 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Switch version scheme.

2015-01-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* omp/omp.c (server_connection_t): Added elements client_cert_path,
	client_key_path and client_ca_cert_path.
	(manager_open): Use the new path elements of the connection object
	instead of default values.
	(main): Add and handle the new command line options "--client-cert",
	"--client-key" and "-client-ca-cert".

2015-01-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version to 1.4+beta6.

2015-01-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.4+beta5 release.

	* CHANGES: Updated.

2014-12-09  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c: Document reason for include of stdlib.h.
	(main): Use integer directly for manager port as well, removing the
	need to the last remaining atoi () call.

2014-12-09  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c (main): Make it clear in command line help and
	variable naming that "timeout" only refers to OMP pings. Parse timeout
	to a gint directly.

2014-11-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Apply the task name as a direct filter element for getting the tasks
	in order to speed up the routine. Single measurements showed a speed
	up of about 10%, but can vary depending on the number of tasks
	and which task is seeked for (before it was linear search).

	* nagios/check_omp.c (cmd_status_impl): Drop checking for the matching
	name of the task because it is no guaranteed that there is a
	task with the right name, or none at all.
	(main): Extend the filter for tasks with the task name so that
	later on the iteration over the list of tasks is much faster.

2014-11-24  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version to 1.4+beta5.

2014-11-24  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.4+beta4 release.

	* CHANGES: Updated.

2014-11-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* CMakeLists.txt: Check for and link against libopenvas_omp,
	libopenvas_misc and libopenvas_base libraries instead of the whole
	libopenvas package.

2014-10-23  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (main): Request all rows in filter, otherwise "Rows Per
	Page" is used.

	* nagios/check_omp.c (main): Request all rows in filter, otherwise "Rows
	Per Page" is used.

2014-10-15  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (main): Use "filter" to include observed tasks, instead of
	"actions".

2014-10-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version to 1.4+beta4.

2014-10-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.4+beta3 release.

	* CHANGES: Updated. Fixed dates of previous releases.

2014-10-02  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c (main): Check correct variable.

2014-10-02  Michael Wiegand <michael.wiegand@greenbone.net>

	* omp/omp.c (main): Remove stray quote in command line help.

2014-10-02  Michael Wiegand <michael.wiegand@greenbone.net>

	Add OMP ping support to OMP command line interface, in parts taken
	from the ping functionality in nagios/check_omp.c implemented by
	Werner Koch.

	* omp/omp.c: Define default ping timeout.
	(server_connection_t): Add timeout element.
	(manager_open): Only try to authenticate if credentials are supplied.
	(main): Handle new command line options for ping command and timeout.
	Do not request password when requested to ping or get the OMP version
	as this can be done unauthenticated.

2014-09-23  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version to 1.4+beta3.

2014-09-23  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.4+beta2 release.

	* CHANGES: Updated.

2014-09-15  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (main): Move exit into /? case, otherwise program exits
	early whenever there is a plain argument, like for "--get-task <uuid>".

2014-09-05  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version to 1.4+beta2.

2014-09-05  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.4+beta1 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Set version to 1.4+beta1. Switch version scheme.

2014-09-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Make license of CMakeLists.txt files consistent.

	* doc/CMakeLists.txt: Change license from LGPLv2+ to GPLv2+.

2014-09-02  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt, dialog/CMakeLists.txt, doc/omp.8.xml,
	nagios/check_omp.c, nagios/CMakeLists.txt, omp/CMakeLists.txt,
	omp/omp.c: Ensure the GPLv2+ license notice uses the paragraph
	suggested by the Free Software Foundation.

2014-08-29  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* omp/omp.c (manager_open): Adjust openvas_server_open_with_cert() call
	by providing certificates values instead of cert files paths.

	(main): Handle manager_open() return value.

2014-08-07  Michael Wiegand <michael.wiegand@greenbone.net>

	Update man page, regenerated in other formats.

	* doc/omp.8.xml: Updated to match latest changes.

	* doc/omp.html, doc/omp.8: Regenerated.

2014-08-07  Michael Wiegand <michael.wiegand@greenbone.net>

	Belated post branch version bump.

	* CMakeLists.txt: Updated version to 1.4.0. Bump openvas-libraries
	dependency to >= 8.0.0.

	* INSTALL: Update minimum version for openvas-libraries dependency.

2014-08-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* omp/omp.c (main): Fixing call of openvas_server_sendf.

2014-08-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* omp/omp.c (manager_get_omp_version, manager_get_report_formats, main):
	Use openvas_server_sendf instead of openvas_server_send, which is to be
	removed eventually.

2014-07-15  Matthew Mundell <matthew.mundell@greenbone.net>

	* nagios/check_omp.c (main): Use "filter" to include observed tasks,
	instead of "actions"

2014-06-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* omp/omp.c (get_file_base64): Remove funciton.
	(replace_send_file_xml): Call openvas_file_as_base64().

2014-06-11  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (main): Remove --rc/-r option.  Remove rcfile option setup.

	* nagios/check_omp.c (filter_report): Init variable to quiet compiler.
	(main): Remove rcfile option setup.

2014-04-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Add --send-file option to omp cli.

	* doc/omp.8: Update documentation for new option.

	* omp/omp.c (get_file_base64, replace_send_file_xml): New functions.
	(main): Add --send-file option that replaces the first occurence of
	SENDFILE string in xml with the base64 encoded content of the provided
	file.

2014-04-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version to 1.3.1.

2014-04-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-cli 1.3.0 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Updated version to 1.3.0.

	* INSTALL: Fixed typo.

	* README: Update command line options.

2014-02-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c (main, filter_report): Spell "vulnerabilities"
	correctly.

2014-02-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c (filter_report): Do not respond "OMP UNKNOWN"
	upon not finding results as this may be legitimate, but note it in the
	output.

2014-02-24  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* omp.omp.c (read_password): Fix always false boolean to integer
	comparison.

2014-02-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Add --use-certs option to use OpenVAS client certificates for
	authentication.

	* omp/CMakeLists.txt: Add definitions for openvas client certificate
	file paths.

	* omp/omp.c (server_connection_t): Add use_certs element.
	(manager_open): Call openvas_server_open_with_certs() if connection is
	set to use certs. Adjust function accordingly.
	(main): Add --use-certs options. Adjust function accordingly.

2014-02-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nagios/check_omp.c (main): Remove useless initialization.

	* omp/omp.c (manager_get_reports): Fix memory leak.
	(main): Fix memory leak. Reduce variable scope.

2014-01-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Reworked the section about Clang a bit.

2014-01-24  Michael Wiegand <michael.wiegand@greenbone.net>

	* INSTALL: Describe static code analysis with the Clang Static
	Analyzer.

2014-01-02  Michael Wiegand <michael.wiegand@greenbone.net>

	* omp/omp.c (main): Add support for Windows style help requests
	using "/?".

2013-10-25  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt, omp/CMakeLists.txt: Adjust linker and compiler flags
	when building for MINGW. Patch suggested by Andre Heinecke.

2013-10-03  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c (filter_report): Use unsigned integer for
	comparisions with unsigned integer.

2013-10-03  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/CMakeLists.txt: Do not abort if Doxygen is not present.

2013-09-30  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version to 1.3+beta3.

2013-09-30  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.3+beta2 release.

	* CHANGES: Updated.

2013-08-22  Andre Heinecke <andre.heinecke@greenbone.net>

	Handle unicode in passwords on Windows

	* omp/omp.c (read_password): Use unicode read function
	and convert it to UTF-8.

2013-08-22  Andre Heinecke <andre.heinecke@greenbone.net>

	Add windows implementation of read_password for omp

	* omp/omp.c (read_password): Add a WinAPI implementation
	of read_password as termios is not available on Windows.

2013-08-16  Michael Wiegand <michael.wiegand@greenbone.net>

	Add support for building a static version of the OMP client.

	* CMakeLists.txt: Retrieve flags for static linking if
	BUILD_STATIC_OMP is set.

	* nagios/CMakeLists.txt: Do static linking if BUILD_STATIC_OMP is set.

	* INSTALL: Add instructions for building a static version of the OMP
	client.

2013-08-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Updated reference system from Debian 6 to 7.

2013-07-02  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version to 1.3+beta2.

2013-07-02  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.3+beta1 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Set version to 1.3+beta1. Switch version scheme.
	Update openvas-libraries dependency to 7.0.0.

	* INSTALL: Update dependencies.

2013-07-02  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c (filter_report): Improve handling of multiple
	DFN-CERT ids per result.

2013-06-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Make SVN revision in version string available again
	for out-of-source build.

2013-06-19  Michael Wiegand <michael.wiegand@greenbone.net>

	Add support for displaying DFN-CERT ids in output.

	* nagios/check_omp.c (main): Enable "--dfn" option.
	(filter_report): Collect and display DFN-CERT ids when requested.

2013-06-19  Michael Wiegand <michael.wiegand@greenbone.net>

	Add support for including the timestamp of the scan end in the output
	and for using the Automatic False Positive Filtering feature.

	* nagios/check_omp.c (main): Add new options for displaying scan end
	time and for autofp parameter.
	(filter_report): Display scan end time when requested. Include autofp
	parameter in request.

2013-05-29  Michael Wiegand <michael.wiegand@greenbone.net>

	Do not display NVT messages of type "log" unless they are explicitly
	requested.

	* nagios/check_omp.c (main): Add new option for displaying log
	messages.
	(filter_report): Do not show log message count with vulnerability
	code. Display log messages only when requested. Initialize variables
	so compilers know they will not be used uninitialized.

2013-05-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Improve reporting of detected vulnerabilities.

	* nagios/check_omp.c (respond_perf_data): New. Output for cases where
	a pipe symbol is desired, i. e. performance data.
	(filter_report): Add support for collecting and displaying the OID,
	name and result text for each vulnerability. Improved counting, low
	and log are now handled as well. Wording in output harmonized with
	other modules. Add support for displaying a link to the report.
	(cmd_status_impl): Merged duplicate code into filter_report ().
	(main): Expose new options. Free GOptionContext when it is no longer
	needed.

2013-04-29  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c (main): Print connection details only when
	explicitly requested via "--details" switch.

2013-04-29  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c (cmd_status_impl): Repair variable name clash
	introduced with last commit.

2013-04-29  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c (main, cmd_status_impl): Use "task" consistently
	when referring to tasks.

2013-04-29  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c: Format according to coding style. Command was
	'indent --no-tabs --ignore-newlines -l 80'.

2013-04-15  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version to 1.2.1.

2013-04-15  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.2.0 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Set version to 1.2.0. Switch version scheme.

	* INSTALL: Update dependencies.

2013-04-03  Werner Koch  <wk@gnupg.org>

	* omp/omp.c: Include unistd.h.
	(my_gnutls_log_func): New.
	(main): Enable GNUTLS debugging if OPENVAS_GNUTLS_DEBUG envvar is
	set and --verbose is used.

2013-03-19  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version to 1.2+rc2.

2013-03-19  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Preparing the openvas-cli 1.2+rc1 release.

	* CHANGES: Updated.

	* CMakeLists: Set version to 1.2+rc1.

2013-03-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Set dependency for gnutls to minimum of 2.8.
	Add .hg and .git to the list of ignored files for packaging.

2013-02-27  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c (main): Use omp_get_tasks_ext instead of
	omp_get_tasks so that observed tasks show up.

2013-02-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* CHANGES: Fix inconsistent version numbers.

2013-02-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c (main): Add space in front of version number.

2013-02-22  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version to 1.2+beta3.

2013-02-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* nagios/check_omp.c (main), omp/omp.c (main): Update year in
	copyright notice.

2013-02-22  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.2+beta2 release.

	* CHANGES: Updated.

2013-02-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* INSTALL: Add instructions for building a static version of the
	Nagios plugin.

2013-02-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Add support for building a static version of the Nagios plugin.

	* CMakeLists.txt: Retrieve flags for static linking if
	BUILD_STATIC_NAGIOS is set.

	* nagios/CMakeLists.txt: Do static linking if BUILD_STATIC_NAGIOS is
	set. Use target_link_libraries instead of LINK_FLAGS for both dynamic
	and static builds to work with modern compiler infrastructures.

2013-02-20  Michael Wiegand <michael.wiegand@greenbone.net>

	Move "-Werror" flag to the "Debug" build type.

	* CMakeLists.txt: Move "-Werror" from CMAKE_C_FLAGS to
	CMAKE_C_FLAGS_DEBUG to keep it out of the "Release" build type.

2013-01-27  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nagios/CMakeLists.txt: Use OPENVAS_LDFLAGS variable when setting
	target link libraries.

2013-01-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* README: Added a sample how to extract base64 files.

2012-12-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version to 1.2+beta2.

2012-12-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.2+beta1 release.

	* CHANGES: Updated.

	* INSTALL: Updated.

2012-12-13  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (main): Use omp_get_task_ext instead of omp_get_tasks so
	that observer tasks are available.

2012-12-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (main): Use omp_get_tasks_ext instead of omp_get_tasks so
	that observed tasks show up.

2012-12-10  Michael Wiegand <michael.wiegand@greenbone.net>

	Update targets for out-of-source builds.

	* doc/CMakeLists.txt: Update commands and targets to work with
	out-of-source builds.

	* doc/Doxyfile.in: Updated to work with out-of-source builds,
	harmonized with other modules.

	* doc/Doxyfile_full.in: Harmonized with Doxyfile.in.

	* omp/CMakeLists.txt: Ensure that the targets "etags" and "ctags" work
	with out-of-source builds.

2012-11-30  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* doc/omp.8, doc/omp.8.xml, doc/omp.html: Corrected documentation for
	get targets flag.

2012-09-19  Michael Wiegand <michael.wiegand@greenbone.net>

	* dialog/CMakeLists.txt: Use CMAKE_SOURCE_DIR instead of
	CMAKE_BINARY_DIR to make out-of-source builds work again.

2012-09-12  Michael Wiegand <michael.wiegand@greenbone.net>

	* dialog/omp-dialog: Fix typo.

2012-08-28  Michael Meyer <michael.meyer@greenbone.net>

	* dialog/omp-dialog:
	tempfile is deprecated and not available on all systems. Use
	mktemp instead.

2012-08-28  Andre Heinecke <aheinecke@intevation.de>

	* dialog/omp-dialog (tasks_menu): Change exit to back and return
	to task list from the task action selection.

2012-08-28  Michael Wiegand <michael.wiegand@greenbone.net>

	* dialog/omp-dialog: Correct two typos in comments.

2012-08-28  Matthew Mundell <matthew.mundell@greenbone.net>

	* dialog/omp-dialog (usage): Correct message typo.

2012-08-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* dialog/omp-dialog: New. A ncurses based interface using
	the "dialog" tool to implement a graphical text interface
	for OMP. This is a initial version implemented by
	Andre Heinecke.

	* dialog/CMakeLists.txt: New. Installs the script.

	* CMakeLists.txt: Added subdirectory "dialog".

2012-07-23  Sascha Wilde  <wilde@intevation.de>

	* nagios/check_omp.c (cmd_status_impl): Use new omp_get_report_ext
	semantics to implement overrides as apply_overrides.  This fixes
	the problem that overrides had no effect on the reported status.

2012-07-23  Sascha Wilde  <wilde@intevation.de>

	* CMakeLists.txt: Build Nagios plugin.

	* nagios/CMakeLists.txt, nagios/check_omp.c: New, Nagios plugin by
	Marcus Brinkmann.

2012-07-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version number to 1.2.0 and
	increased minimum requirement for openvas-libraries to 6.0.

2012-07-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Last minute fix on revisioning to
	have proper version numbers in --version.

2012-07-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-cli 1.1.5 release.

	* CHANGES: Updated.

	* omp/omp.c (main): Updated Copyright year.

	* INSTALL: Updated developer's standard to Debian 6 only.

2012-07-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (manager_get_reports): If the OMP version is unknown just
	treat it like version 3.0, as later versions may still work with the 3.0
	settings.

2012-05-07  Michael Wiegand <michael.wiegand@greenbone.net>

	Clean up CMake infrastructure and ensure that compilation with modern
	gccs works.

	* omp/CMakeLists.txt: Remove handling of superfluous
	OPENVAS_LIB_INSTALL_DIR and OPENVAS_HEADER_INSTALL_DIR as they were
	not set by the top level CMakeLists.txt and the contents are retrieved
	via pkg-config now. Set link libraries via target_link_libraries and
	not via LINK_FLAGS since this breaks compilation with more modern
	gccs.

	* INSTALL: Remove references to irrelevant variables.

2011-12-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Re-arranged text a bit and added some Debian 6 info.

2011-12-06  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version number.

2011-12-06  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.1.4 release.

	* CHANGES: Updated.

2011-12-05  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (manager_get_reports): Use new report format UUID for OMP 3.0.

2011-11-24  Henri Doreau <henri.doreau@greenbone.net>

	* omp/omp.c (manager_get_reports): Don't exit if OMP version 3.0 is
	used. If an unknown version is used, display it before exiting.

2011-10-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version number.

2011-10-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.1.3 release.

	* CHANGES: Updated.

2011-03-29  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (main): For -X, if XML is "-" then read XML from stdin.

2011-02-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version number.

2011-02-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.1.2 release.

	* CHANGES: Updated.

2011-02-16  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/omp.8.xml: Fix typo on man page.

	* doc/omp.html, doc/omp.8: Regenerated.

2011-02-08  Michael Wiegand <michael.wiegand@greenbone.net>

	Consolidation: Move most of configuration and installation handling to
	top level CMakeLists.txt and clean up top level CMakeLists.txt.

	* CMakeLists.txt: Do all package detection. Set all _CFLAGS and
	_LDFLAGS properly.

	* src/CMakeLists.txt: Remove package detection. Use the LINK_FLAGS
	reported by pkg-config instead of hard coding them. Remove duplicate
	defines.

2011-02-04  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version number.

2011-02-04  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.1.1 release.

	* CHANGES: Updated.

2011-02-04  Michael Wiegand <michael.wiegand@greenbone.net>

	Request password interactively if it is not provided otherwise.

	* omp/omp.c: Add define for _GNU_SOURCE and include termios.h to get
	tcsetattr ().
	(read_password): New function to read a password from the console,
	suppressing output.
	(main): Try to read password interactively if it is not provided
	through command line arguments or the config file.

2011-02-04  Michael Wiegand <michael.wiegand@greenbone.net>

	Add man page to openvas-cli.

	* doc/omp.8.xml: New. Source file for the omp man page.

	* doc/omp.8: New. Pregenerated man page as troff document.

	* doc/omp.html: New. Pregenerated man page as HTML document.

	* doc/CMakeLists.txt: Add support for man page generation and
	installation. Fix indentation.

	* INSTALL: Updated prerequisites.

2011-02-02  Michael Wiegand <michael.wiegand@greenbone.net>

	Switch openvas-cli to pkg-config.

	* CMakeLists.txt: Move checks for openvas-libraries, glib and gnutls
	to pkg-config.

	* INSTALL: Update requirements and installation instructions, fix
	module name in command examples.

	* omp/CMakeLists.txt: Replace calls to libopenvas-config with the
	appropriate pkg-config calls.

2011-01-20  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (main): Add warnings about verbose mode revealing passwords.

2010-12-30  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* omp/omp.c (main): Adapted --version output to
	comply with GNU Coding Standards
	(http://www.gnu.org/prep/standards/standards.html#g_t_002d_002dversion)

2010-12-16  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Add a collection of code hardening flags to
	CMAKE_C_FLAGS, inspired by hardening-wrapper on Debian. Add -Werror to
	CMAKE_C_FLAGS to make all warnings fatal.

2010-12-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version number.

2010-12-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.1.0 release.

	* CMakeLists.txt: Updated version number. Changed
	CPACK_PACKAGE_VERSION for use with "normal" versioning scheme.

2010-12-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CHANGES: Updated.

2010-12-03  Michael Wiegand <michael.wiegand@greenbone.net>

	* omp/omp.c: Add support for retrieving a list of targets from the
	manager. Correct some comments and error messages introduced with the
	last commit.
	(print_targets): New function to print a list of targets to stdout.
	(main): Add new "--get-targets" command.

2010-12-03  Michael Wiegand <michael.wiegand@greenbone.net>

	* omp/omp.c: Add support for retrieving a list of scan configs from
	the manager. Include errno.h for errno support.
	(get_configs): New function to retrieve scan configs from the manager.
	(print_configs): New function to print a list of scan configs to
	stdout.
	(main): Add new "--get-configs" command.

2010-11-22  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version number.

2010-11-22  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.1+rc1 release.

	* CMakeLists.txt: Updated version number and required
	openvas-libraries version. Changed CPACK_PACKAGE_VERSION for use with
	"+rc" versioning scheme.

	* INSTALL: Updated prerequisites.

2010-11-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CHANGES: Updated.

2010-11-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* omp/omp.c (main): Mark "--get-report-formats" as OMP 2.0 only.

2010-11-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* omp/omp.c (main): Close the connection we have opened if the command
	finished successfully.

2010-11-22  Michael Wiegand <michael.wiegand@greenbone.net>

	Added support for retrieving the OMP version of a connection endpoint
	to stay compatible with both OMP 1.0 and 2.0.

	* omp/omp.c (manager_get_omp_version): New function for retrieving the
	OMP version of the manager.
	(manager_get_reports): Do not use library functions to get reports;
	retrieve the OMP version and construct our own request to match the
	version.
	(main): Add new "--get-omp-version" command and hook it up to
	manager_get_omp_version ().

2010-11-12  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/omp.c: Adjusted include path for header files from
	openvas-libraries/misc.

2010-10-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (main): Call setlocale before anything, for glib.

2010-10-07  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (server_connection_t, connection_from_file)
	(manager_open, manager_get_reports, manager_get_report_formats): Make
	@brief's brief.  Space @params uniformly.  Format comments uniformly.  Doc
	right param.

2010-09-14  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (print_tasks): If a task is missing a REPORTS keep going, as
	this entity is only present when the task has reports.
	(manager_get_reports): Add new omp_get_report arg.

2010-08-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Post branch version bump.

	* CMakeLists.txt: Updated version number.

2010-08-10  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (manager_get_reports): Replace format with format ID for XML.

2010-08-10  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (manager_get_report_formats): New function.
	(main): Add new switch --get-report-formats.

2010-08-10  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (print_tasks): Get reports out of new REPORTS child.  Get
	result counts from RESULT_COUNT instead of MESSAGES.

2010-08-04  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* CMakeLists.txt: Lowercased commands.

2010-08-04  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	Improved documentation.

	* INSTALL: Removed listing of optional unused xmltoman prerequisite.

	* README: Mention that we talk with openvasmd mainly.

	* omp/omp.c: Added mainpage section for documentation.

	* doc/CMakeLists.txt: New, registers the 'doc' and 'doc-full' targets.

2010-08-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Updated version number.

2010-08-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 1.0.0 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Updated version number and required
	openvas-libraries version.

	* INSTALL: Updated prerequisites.

2010-08-02  Michael Wiegand <michael.wiegand@greenbone.net>

	Build environment housekeeping.

	* CMakeLists.txt: Removed superfluous library checks. Made message
	more consistent with other modules.

	* omp/CMakeLists.txt: Lowercased cmake commands.

2010-08-02  Michael Wiegand <michael.wiegand@greenbone.net>

	* omp/omp.c: Indented with 'indent --no-tabs --ignore-newlines -l 80'
	to match coding style.

2010-07-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* INSTALL: Made paragraph regarding libopenvas-config clearer, donated
	heading.

2010-07-21  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Fixed typo in message.

2010-07-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* omp/omp.c: Replaced OMP_VERSION by OPENVASCLI_VERSION
	to use the central version.

2010-07-19  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Updated CPACK_SOURCE_IGNORE_FILES to keep
	superfluous files out of the source package.

2010-07-19  Michael Wiegand <michael.wiegand@greenbone.net>

	Post-release version bump.

	* CMakeLists.txt: Updated version number.

2010-07-19  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-cli 0.2.0 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Updated version number.

2010-07-19  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Fixed openvas-libraries version check. Raised
	openvas-libraries dependency to 3.1.0.

2010-07-13  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (main): Add omp_get_tasks details arg.

2010-07-08  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Make cmake environment more flexible as discussed on
	openvas-devel: Set CMAKE_BUILD_TYPE only to "Debug" if it is not
	already set. Do not set CMAKE_VERBOSE_MAKEFILE, let it default to OFF.
	Remove redundant flags from CMAKE_C_FLAGS_DEBUG. Replace check for
	PREPARE_RELEASE with check for CMAKE_BUILD_TYPE == "Release".

2010-06-22  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (main): Replace --get-status with --get-tasks.

2010-06-07  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (main): Only check config file values if command line values
	are NULL.  Correct the fallback for the password.

2010-06-04  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* omp/omp.c (main): Changed argument name from --configfile to
	--config-file.

2010-06-04  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* omp/omp.c (main, connection_from_file): Updated code and doc for
	naming consistency, picked up by Matthew Mundell.

2010-06-03  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (server_connection_t): Use "server" in docs.

2010-05-25  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	Added new command line argument to pass path to a configuration file
	that contains connection parameters (host, port, username, password).
	A configuration file is automatically searched in the users home
	directory. Values passed via the command line take precedence.

	This helps also to prevent disclosure of credentials in process lists.

	* omp/omp.c (read_config_file): New function to read in key file.
	(main): New configfile command line argument. For connection
	parameters, prefer values from cmd over values from file over defaults.

	* README: Adjusted output of `omp --help`, added small section about
	the configuration file.

2010-05-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* omp/CMakeLists.txt: Make Windows build more generic
	(fixed by Raimund Renkert).

2010-05-02  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Windows support contributed Raimund Renkert:

	* omp/omp.c: Switch off logging for Windows. Use Windows sockets.

	* CMakeLists.txt: Add MINGW support (switch off tests that don't work
	with MINGW environment).

	* omp/CMakeLists.txt: Add MINGW support.

2010-04-10 Stephan Kleine

	* CMakeLists.txt: Add support for out-of-source builds.

2010-03-22 Stephan Kleine

	* omp/CMakeLists.txt: Fix build with --as-needed.

2010-03-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post-release version bump.

	* CMakeLists.txt: Increased version number to 0.1.1.

2010-03-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Fix the version identifier.

2010-03-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-cli 0.1.0 release.

	* CHANGES: New.

2010-03-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/Doxyfile.in, doc/Doxyfile_full.in: New.

2010-03-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	*   omp/, omp/CMakeLists.txt, omp/omp.c: New. omp.c
	is a slightly modified copy of openvas-client/src/omp-cli.c.

2010-03-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/, CMakeLists.txt: New.

2010-03-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL, COPYING, VERSION.in, README: New.

2010-03-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Starting module "openvas-cli".

	* ChangeLog New.
